jx Struct Reference

JX value representing any expression type. More...

`#include <jx.h>`

## Data Fields

jx_type_t | type
| type of this value
unsigned | line
| line where this value was defined

## Detailed Description

JX value representing any expression type.

## Field Documentation

## type

jx_type_t jx::type

type of this value

## line

unsigned jx::line

line where this value was defined

## boolean_value

int jx::boolean_value

value of JX_BOOLEAN

## integer_value

jx_int_t jx::integer_value

value of JX_INTEGER

## double_value

double jx::double_value

value of JX_DOUBLE

## string_value

char* jx::string_value

value of JX_STRING

## symbol_name

char* jx::symbol_name

value of JX_SYMBOL

## items

struct jx_item* jx::items

value of JX_ARRAY

## pairs

struct jx_pair* jx::pairs

value of JX_OBJECT

## oper

struct jx_operator jx::oper

value of JX_OPERATOR

## err

struct jx* jx::err

error value of JX_ERROR

The documentation for this struct was generated from the following file:

- jx.h